[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.DefaultHandler

Handles all messages that the control doesn't fully handle itself.

## Declaration

Source position: controls.pp line 2409

`public procedure TWinControl.DefaultHandler(`
`var AMessage`
`); override;`

## Arguments

`AMessage` |  | The message to process.

## Description

This implementation sends the message to the widget's message handler.

Override this method to implement your own message handling. If the message Result is non-zero, the message already has been handled; otherwise, set the Result to a non-zero value (depending on the message ID) when the message has been handled.

## See also

TObject.DefaultHandler